mkfs.gfs2(8)

NAME
mkfs.gfs2 - Make a GFS2 filesystem

SYNOPSIS
mkfs.gfs2 [OPTION]... DEVICE [ block-count ]

DESCRIPTION
mkfs.gfs2 is used to create a Global File System.

OPTIONS

-b BlockSize
    Set the filesystem block size to BlockSize (must be a power of two). The minimum block size is 512. The FS block size cannot exceed the machine's memory page size. On the most architectures (i386, x86_64, s390, s390x), the memory page size is 4096 bytes. On other architectures it may be bigger. The default block size is 4096 bytes. In general, GFS2 filesystems should not deviate from the default value.

-c MegaBytes
    Initial size of each journal's quota change file

-D  Enable debugging output.

-h  Print out a help message describing available options, then exit.

-J MegaBytes
    The size of the journals in Megabytes. The default journal size is 128 megabytes. The minimum size is 8 megabytes.

-j Number
    The number of journals for gfs2_mkfs to create. You need at least one journal per machine that will mount the filesystem. If this option is not specified, one journal will be created.

-K  Keep, do not attempt to discard blocks at mkfs time (discarding blocks initially is useful on solid state devices and sparse / thin-provisioned storage).

-O  This option prevents gfs2_mkfs from asking for confirmation before writing the filesystem.

-o  Specify extended options. Multiple options can be separated by commas. Valid extended options are:

    help
        Display an extended options help summary, then exit.

    sunit=bytes
        This is used to specify the stripe unit for a RAID device or striped logical volume. This option ensures that resource groups will be stripe unit aligned and overrides the stripe unit value obtained by probing the device. This value must be a multiple of the file system block size and must be specified with the swidth option.

    swidth=bytes
        This is used to specify the stripe width for a RAID device or striped logical volume. This option ensures that resource groups will be stripe aligned and overrides the stripe width value obtained by probing the device. This value must be a multiple of the sunit option and must also be specified with it.

    align=[0|1]
        Disable or enable the alignment of resource groups. The default behaviour is to align resource groups to the stripe width and stripe unit values obtained from probing the device or specified with the swidth and sunit extended options.

-p LockProtoName
    LockProtoName is the name of the locking protocol to use. Acceptable locking protocols are lock_dlm (for shared storage) or if you are using GFS2 as a local filesystem (1 node only), you can specify the lock_nolock protocol. If this option is not specified, lock_dlm protocol will be assumed.

-q  Be quiet. Don't print anything.

-r MegaBytes
    gfs2_mkfs will try to make Resource Groups about this big. Minimum RG size is 32 MB. Maximum RG size is 2048 MB. A large RG size may increase performance on very large file systems. If not specified, mkfs.gfs2 will choose the RG size based on the size of the file system: average size file systems will have 256 MB RGs, and bigger file systems will have bigger RGs for better performance.

-t LockTableName
    The lock table field appropriate to the lock module you're using. It is clustername:fsname. Clustername must match that in cluster.conf; only members of this cluster are permitted to use this file system. Fsname is a unique file system name used to distinguish this GFS2 file system from others created (1 to 16 characters). Lock_nolock doesn't use this field. Valid clusternames and fsnames may only contain alphanumeric characters, hyphens (-) and underscores (_).

-V  Print program version information, then exit.

[ block-count ]
    Make the file system this many blocks in size. If not specified, the entire length of the specified device is used.

EXAMPLE

gfs2_mkfs -t mycluster:mygfs2 -p lock_dlm -j 2 /dev/vg0/mygfs2
    This will make a Global File System on the block device "/dev/vg0/mygfs2". It will belong to "mycluster" and register itself as wanting locking for "mygfs2". It will use DLM for locking and make two journals.

gfs2_mkfs -t mycluster:mygfs2 -p lock_nolock -j 3 /dev/vg0/mygfs2
    This will make a Global File System on the block device "/dev/vg0/mygfs2". It will belong to "mycluster" and but have no cluster locking. It will have three journals.